#ifndef _GRAVITY_MODULE
#define _GRAVITY_MODULE

#include "ofMain.h"
#include "ofVec3f.h"
#include "graphicsModuleBase.h"

class gravityModule : public graphicsModuleBase {
	
	public:
		
		gravityModule();
		
		void 		setup();
		void 		reset();
	 	void 		update();
		void 		draw();
		bool 		bAmIdone();
		
		ofVec3f		getStartPosition();
		float		getStartAngle();
		
		
		float 		pct;
		int			radius;
		ofVec3f		startPos;
		ofVec3f 	pos;
		ofVec3f		dst;
		ofVec3f		vel;
		ofVec3f		angle;
		
		int 		framecount;	// so we don't do a new point every frame...
		bool 		bNewPos;
		int			whichSide;
		
		ofVec3f		trail[2000];
};

#endif	